Vec4d File Reference
`#include <osg/Vec3d>`
`#include <osg/Vec4f>`

Go to the source code of this file.

## Classes

class | osg::Vec4d

## Namespaces

namespace | osg

## Macros

#define | OSG_VEC4D 1

## Functions

Vec4d::value_type | osg::operator* (const Vec3d &lhs, const Vec4d &rhs)
Vec4d::value_type | osg::operator* (const Vec3f &lhs, const Vec4d &rhs)
Vec4d::value_type | osg::operator* (const Vec3d &lhs, const Vec4f &rhs)
Vec4d::value_type | osg::operator* (const Vec4d &lhs, const Vec3d &rhs)
Vec4d::value_type | osg::operator* (const Vec4d &lhs, const Vec3f &rhs)
Vec4d::value_type | osg::operator* (const Vec4f &lhs, const Vec3d &rhs)
Vec4d | osg::componentMultiply (const Vec4d &lhs, const Vec4d &rhs)
Vec4d | osg::componentDivide (const Vec4d &lhs, const Vec4d &rhs)

## Macro Definition Documentation

## OSG_VEC4D

#define OSG_VEC4D 1